MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025822Open CASCADE[OCCT] OCCT:Visualizationpublic2015-02-12 10:542015-05-14 15:31
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025822: Visualization, TKOpenGl - front material should be used instead of back material in GLSL when distinguish mode is turned off
DescriptionBack material is usually undefined in fill area aspect when distinguish mode is turned off, which causes visual inconsistency between GLSL and FFP (default on desktop) rendering paths.
Steps To Reproduce
pload MODELING VISUALIZATION OCAF XDE
box b 10 10 10
NewDocument D MDTV-XCAF
XAddShape D b
XSetColor D b 0 0 1
explode b f
XSetColor D b_1 1 0 0

XShow D
vviewparams -proj 1 0.1 0.1
vfit

vsetdispmode 1

vclipplane create pln
vclipplane set pln view Driver1/Document_D/View1
vclipplane change pln equation -1 0 0 5

# FFP on, pixel is RED3, which is expected
vcaps -ffp 1
vreadpixel 200 200 rgb name

# GLSL on, pixel should has the same color RED3, but actual color is KHAKI1
vcaps -ffp 0
vreadpixel 200 200 rgb name
TagsNo tags attached.
Test case numberv3d glsl(013) distinguish_off
Attached Filespng file icon box_KO.png (1,713 bytes) 2015-02-12 11:05
png file icon box_OK.png (1,675 bytes) 2015-02-12 11:05

- Relationships
related to 0025687closedbugmaster Open CASCADE Visualization, XCAF - eliminate visual artifacts at the edges of faces 
related to 0025282closedbugmaster Open CASCADE Visualization, OpenGl_PrimitiveArray - provide built-in GLSL programs as alternative to FFP 

-  Notes
(0037407)
git (administrator)
2015-02-12 10:56

Branch CR25822 has been created by kgv.

SHA-1: bbe0aee3bd8a6b91ceaac9dde535b6fd4fca59b8


Detailed log of new commits:

Author: kgv
Date: Thu Feb 12 10:56:53 2015 +0300

    0025822: Visualization, TKOpenGl - front material should be used instead of back material within distinguish mode turned off
(0037408)
git (administrator)
2015-02-12 11:16

Branch CR25822 has been updated by kgv.

SHA-1: 35e58e9e831f0adf04ed421bb1e28666d638d8be


Detailed log of new commits:

Author: kgv
Date: Thu Feb 12 11:16:30 2015 +0300

    add test case v3d/glsl/distinguish_off

(0037410)
kgv (developer)
2015-02-12 11:17

Please test the patch.
(0037445)
mkv (tester)
2015-02-12 15:41

Dear BugMaster,
Branch CR25822 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 35e58e9e831f0adf04ed421bb1e28666d638d8be

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
http://occt-tests/CR25822-master-occt/Debian60-64/v3d/glsl/distinguish_off.html [^]
http://occt-tests/CR25822-master-occt/Windows-32-VC10/v3d/glsl/distinguish_off.html [^]
v3d glsl(013) distinguish_off: OK

Testing on Linux:
occt component :
Total MEMORY difference: 84555104 / 86236651
Total CPU difference: 50037.98000000005 / 47876.709999999846
products component :
Total MEMORY difference: 22959615 / 22980354
Total CPU difference: 15146.769999999986 / 14500.569999999965

Testing on Windows:
occt component :
Total MEMORY difference: 40649413 / 40658496
Total CPU difference: 37036.0 / 32754.0
products component :
Total MEMORY difference: 11034841 / 11081969
Total CPU difference: 10408.28125 / 10978.125

There are no differences in images found by testdiff.
(0038606)
git (administrator)
2015-03-18 13:38

Branch CR25822 has been deleted by inv.

SHA-1: 35e58e9e831f0adf04ed421bb1e28666d638d8be

- Related Changesets
occt: master 95b2678c
Timestamp: 2015-02-12 12:49:22
Author: kgv
Committer: bugmaster
Details ] Diff ]
0025822: Visualization, TKOpenGl - front material should be used instead of back material within distinguish mode turned off

add test case v3d/glsl/distinguish_off
mod - src/OpenGl/OpenGl_ShaderManager.cxx Diff ] File ]
add - tests/v3d/glsl/distinguish_off Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-02-12 10:54 kgv New Issue
2015-02-12 10:54 kgv Assigned To => kgv
2015-02-12 10:56 git Note Added: 0037407
2015-02-12 10:57 kgv Relationship added related to 0025687
2015-02-12 11:04 kgv Steps to Reproduce Updated View Revisions
2015-02-12 11:05 kgv File Added: box_KO.png
2015-02-12 11:05 kgv File Added: box_OK.png
2015-02-12 11:16 git Note Added: 0037408
2015-02-12 11:17 kgv Note Added: 0037410
2015-02-12 11:17 kgv Assigned To kgv => bugmaster
2015-02-12 11:17 kgv Status new => resolved
2015-02-12 11:17 kgv Status resolved => reviewed
2015-02-12 11:55 mkv Assigned To bugmaster => mkv
2015-02-12 11:59 kgv Summary Visualization, TKOpenGl - front material should be used instead of back material within distinguish mode turned off => Visualization, TKOpenGl - front material should be used instead of back material in GLSL when distinguish mode is turned off
2015-02-12 15:41 mkv Note Added: 0037445
2015-02-12 15:41 mkv Assigned To mkv => bugmaster
2015-02-12 15:41 mkv Status reviewed => tested
2015-02-12 15:41 mkv Test case number => v3d glsl(013) distinguish_off
2015-02-12 17:19 kgv Relationship added related to 0025282
2015-02-13 17:55 bugmaster Changeset attached => occt master 95b2678c
2015-02-13 17:55 bugmaster Status tested => verified
2015-02-13 17:55 bugmaster Resolution open => fixed
2015-03-18 13:38 git Note Added: 0038606
2015-04-16 14:20 kgv Relationship added related to 0025644
2015-05-14 15:28 aiv Status verified => closed
2015-05-14 15:31 aiv Fixed in Version => 6.9.0


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker